## puppet 3.2.4

=== debian/changelog ===
puppet (3.2.4-2ubuntu2) saucy; urgency=low

  * debian/tests/control: invert order of tests, or else puppet-agent runs
    after puppetmaster-passenger has already enabled the service.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 03 Sep 2013 16:39:37 -0400

puppet (3.2.4-2ubuntu1) saucy; urgency=low

  * debian/control: change dependency back from ruby-augeas to
    libaugeas-ruby as that is what's currently in saucy.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 03 Sep 2013 10:33:17 -0400

puppet (3.2.4-2) unstable; urgency=low

  * Include patch from upstream to prevent duplicate nagios_ resources
    (Closes: #721132)
  * Add empty /usr/share/puppet/modules to puppet-common for puppet modules

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 01 Sep 2013 13:41:51 +0200

puppet (3.2.4-1) unstable; urgency=high

  [ Micah Anderson ]
  * Change dependency on libaugeas-ruby to ruby-augeas (Closes: #719424)

  [ Stig Sandbeck Mathisen ]
  * Imported upstream version 3.2.4 (CVE-2013-4956, CVE-2013-4761)
  * Start puppet agent by default, to reflect systemd configuration
    * …but disable puppet agent on initial install
    * Add dep8 tests for initially disabled puppet agent
  * Remove deprecated passenger options

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 16 Aug 2013 16:47:28 +0200

puppet (3.2.3-1) unstable; urgency=low

  * Import upstream version 3.2.3
  * Do not use "dpkg-maintscript-helper" on non-conffiles
    (Closes: #713070)
  * Bump standards version (no changes)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 02 Aug 2013 23:07:48 +0200

puppet (3.2.2-1) unstable; urgency=high

  * New upstream version (Closes: #712745, CVE-2013-3567)
    - use packaged ruby-safe-yaml instead of the vendored gem
  * Support apache 2.4 (Closes: #675409)
  * Remove dependency on rails (Closes: #709636)
  * Remove build dependency on ruby-rspec
  * add dep8 tests
  * puppetmaster-passenger.postinst: check if puppet.conf can be parsed on
    install.
    Thanks to Ubuntu

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 19 Jun 2013 11:45:46 +0200

puppet (3.2.1-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 26 May 2013 18:08:38 +0200

puppet (3.1.1-2) unstable; urgency=low

  * Upload to unstable after freeze

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 05 May 2013 11:45:33 +0200

puppet (3.1.1-1) experimental; urgency=low

  * New upstream release (CVE-2013-1640, CVE-2013-1652, CVE-2013-1653,
    CVE-2013-1654, CVE-2013-1655, CVE-2013-2275)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 13 Mar 2013 10:59:16 +0100

puppet (3.1.0-1) experimental; urgency=low

  * New upstream release
  * Add no-rubygems patch

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 04 Mar 2013 08:48:15 +0100
