=== debian/tests/control ===
Tests: puppet-agent
Depends: puppet
Restrictions: needs-root

Tests: puppetmaster-passenger
Depends: puppetmaster-passenger
Restrictions: needs-root
