## puppet 3.3.0

=== debian/changelog ===
puppet (3.3.0-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.3.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 12 Sep 2013 20:57:14 +0000
