## puppet 3.3.1

=== debian/changelog ===
puppet (3.3.1-0.1rc3puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.3.1-0.1rc3puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 02 Oct 2013 17:35:16 +0000
