## puppet 3.3.2

=== debian/changelog ===
puppet (3.3.2-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.3.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 07 Nov 2013 21:35:56 +0000
