## puppet 3.4.0

=== debian/changelog ===
puppet (3.4.0-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.4.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 19 Dec 2013 10:56:23 -0800
