## puppet 3.4.1

=== debian/changelog ===
puppet (3.4.1-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.4.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 26 Dec 2013 09:58:59 -0800
