## puppet 3.4.2

=== debian/changelog ===
puppet (3.4.2-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.4.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 06 Jan 2014 14:37:28 -0800
