## puppet 3.4.3

=== debian/changelog ===
puppet (3.4.3-1) unstable; urgency=medium

  [ Jonas Genannt ]
  * [57515db] d/control: added ruby-rrd as primary Suggests, left librrd-ruby
    for easy backporting.

  [ Stig Sandbeck Mathisen ]
  * Imported upstream release 3.4.3

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 20 Feb 2014 11:41:42 +0100

puppet (3.4.2-1) unstable; urgency=medium

  * Imported upstream release 3.4.2

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 07 Jan 2014 12:04:39 +0100

puppet (3.4.1-1) unstable; urgency=high

  * Imported upstream release 3.4.1 (CVE-2013-4969)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 26 Dec 2013 23:43:56 +0100

puppet (3.4.0-1) unstable; urgency=medium

  * Imported upstream release 3.4.0
    - Update puppetmaster passenger template source path
    - Refresh quilt patches
  * Include upstream provided puppet ldap schema (Closes: #730627)
  * Update dependencies: add ruby-rgen and ruby-rack
    - have puppet-testsuite recommend ruby-rgen until it has passed NEW
  * Make uscan verify new upstream versions automatically with GnuPG
  * Update DEP-8 tests, use sharness
  * Bump standards version (no changes)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 20 Dec 2013 10:20:39 +0100

puppet (3.3.1-1) unstable; urgency=low

  * Imported upstream release 3.3.1

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 08 Oct 2013 09:32:30 +0200

puppet (3.3.0-1) unstable; urgency=low

  * Imported upstream release 3.3.0
  * Move dependency on ruby-hiera from puppetmaster-common to puppet-common
    (Closes: #712780)
  * Drop "duplicate-resource" patch included in current upstream version
  * debian/control: Clean up old dependencies, remove unused headers
  * Improve systemd packaging, use dh-systemd.
    Thanks to Michael Stapelberg (Closes: #714202)
  * Use "puppet master" to retrieve configuration for puppetmaster-passenger
    (Closes: #722614)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 15 Sep 2013 14:51:22 +0200
