=== debian/control ===
--- 
+++ 
@@ -1,34 +1,36 @@
 Source: puppet
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
+Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Micah Anderson <micah@debian.org>, Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigel@explanatorygap.net>, Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends:
  debhelper (>= 9~),
+ dh-systemd,
  facter,
  rake,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-puppet/puppet.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-puppet/puppet.git
 Homepage: http://projects.puppetlabs.com/projects/puppet
-XS-Ruby-Versions: all
 XS-Testsuite: autopkgtest
 
 Package: puppet-common
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends},
  adduser,
  facter,
- libaugeas-ruby,
+ ruby-augeas,
+ ruby-hiera,
  lsb-base,
  ruby | ruby-interpreter,
  ruby-safe-yaml,
  ruby-shadow,
- sysv-rc (>= 2.87) | file-rc,
-Recommends: lsb-release, debconf-utils
-Suggests: ruby-selinux, librrd-ruby
+ sysv-rc | file-rc,
+Recommends:
+ debconf-utils,
+ lsb-release,
+ ruby-rgen,
+Suggests: ruby-selinux, ruby-rrd | librrd-ruby
 Breaks: puppet (<< 2.7.5-3), puppetmaster (<< 0.25.4-1), ruby-hiera-puppet
 Replaces: puppet (<< 2.7.5-3), puppetmaster (<< 0.25.4-1), ruby-hiera-puppet
 Description: Centralized configuration management
@@ -53,7 +55,6 @@
 Depends: ${misc:Depends},
  puppet-common (= ${binary:Version}),
  ruby | ruby-interpreter,
-Recommends: rdoc
 Suggests: puppet-el, vim-puppet, etckeeper
 Description: Centralized configuration management - agent startup and compatibility scripts
  This package contains the startup script and compatbility scripts for the
@@ -76,13 +77,11 @@
  lsb-base,
  puppet-common (= ${binary:Version}),
  ruby | ruby-interpreter,
- ruby-hiera,
 Breaks: puppet (<< 0.24.7-1), puppetmaster (<< 2.7.6-1~)
 Replaces: puppet (<< 0.24.7-1), puppetmaster (<< 2.7.6-1~)
 Suggests:
  apache2 | nginx,
  puppet-el,
- rdoc,
  ruby-ldap,
  ruby-stomp,
  stompserver,
@@ -181,13 +180,15 @@
  git-core,
  lsb-base,
  puppet-common (= ${source:Version}),
- rdoc,
  ruby | ruby-interpreter,
  ruby-ldap,
  ruby-mocha,
+ ruby-rack,
  ruby-rspec,
  ruby-sqlite3,
-Recommends: cron
+Recommends:
+ cron,
+ ruby-rgen,
 Suggests: ruby
 Description: Centralized configuration management - test suite
  This package provides all the tests from the upstream puppet source code.
