=== debian/tests/control ===
Tests: run-tests
Depends: puppetmaster-passenger,perl
Restrictions: needs-root
