=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://downloads.puppetlabs.com/puppet/ puppet-([0-9\.]+).tar.gz
