## puppet 3.5.0

=== debian/changelog ===
puppet (3.5.0-0.1rc2puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.5.0-0.1rc2puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 24 Mar 2014 11:43:24 -0700
