## puppet 3.5.1

=== debian/changelog ===
puppet (3.5.1-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.5.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 15 Apr 2014 16:07:23 -0700
