## puppet 3.6.0

=== debian/changelog ===
puppet (3.6.0-0.1rc1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.6.0-0.1rc1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 01 May 2014 11:37:15 -0700
