## puppet 3.6.1

=== debian/changelog ===
puppet (3.6.1-1ubuntu1) utopic; urgency=medium

  * Wait until the puppet and puppetmaster daemons are actually stopped
    before returning (LP: #1315021)

 -- Felipe Reyes <felipe.reyes@canonical.com>  Wed, 04 Feb 2015 17:07:53 -0300

puppet (3.6.1-1) unstable; urgency=medium

  * Import upstream release 3.6.1

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 26 May 2014 09:55:10 +0200

puppet (3.6.0-1) unstable; urgency=medium

  * Import upstream release 3.6.0
  * Remove deprecated global file/template locations
  * Move ruby-selinux from Suggests to Recommends (Closes: #743790)
  * Add build dependency on ruby-hiera
  * puppet-el: match .pp suffix at end of string, not end of line.
    Thanks to Kevin Ryde (Closes: #670330)
  * puppet-el: Conform to emacs policy

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 16 May 2014 00:14:33 +0200

puppet (3.5.1-1) unstable; urgency=medium

  * Imported upstream release 3.5.1

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 17 Apr 2014 14:50:28 +0200
