=== debian/control ===
--- 
+++ 
@@ -1,23 +1,40 @@
 Source: puppet
 Section: admin
 Priority: optional
-Maintainer: Puppet Labs <info@puppetlabs.com>
+Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Micah Anderson <micah@debian.org>, Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigel@explanatorygap.net>, Stig Sandbeck Mathisen <ssm@debian.org>
-Build-Depends-Indep: ruby | ruby-interpreter, libopenssl-ruby | libopenssl-ruby1.9.1 | libruby (>= 1:1.9.3.4), facter (>= 1.7.0), hiera (>= 1.0.0)
-Build-Depends: debhelper (>= 7.0.0), openssl
-Standards-Version: 3.9.1
-Vcs-Git: git://github.com/puppetlabs/puppet
+Build-Depends:
+ debhelper (>= 9~),
+ dh-systemd,
+ facter,
+ rake,
+ ruby-hiera,
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-puppet/puppet.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-puppet/puppet.git
 Homepage: http://projects.puppetlabs.com/projects/puppet
+XS-Testsuite: autopkgtest
 
 Package: puppet-common
 Architecture: all
-Depends: ${misc:Depends}, ruby | ruby-interpreter, libopenssl-ruby | libopenssl-ruby1.9.1 | libruby (>= 1:1.9.3.4), ruby-shadow | libshadow-ruby1.8, libaugeas-ruby | libaugeas-ruby1.9.1 | libaugeas-ruby1.8, adduser, lsb-base, sysv-rc (>= 2.86) | file-rc, hiera (>= 1.0.0), facter (>= 1.7.0), ruby-rgen (>= 0.6.5), libjson-ruby | ruby-json
-Recommends: lsb-release, debconf-utils
-Suggests: ruby-selinux | libselinux-ruby1.8, librrd-ruby1.9.1 | librrd-ruby1.8
-Breaks: puppet (<< 2.6.0~rc2-1), puppetmaster (<< 0.25.4-1)
-Provides: hiera-puppet
-Conflicts: hiera-puppet
-Replaces: hiera-puppet
+Depends: ${misc:Depends},
+ adduser,
+ facter,
+ ruby-augeas,
+ ruby-hiera,
+ lsb-base,
+ ruby | ruby-interpreter,
+ ruby-safe-yaml,
+ ruby-shadow,
+ sysv-rc | file-rc,
+Recommends:
+ debconf-utils,
+ lsb-release,
+ ruby-rgen,
+ ruby-selinux,
+Suggests: ruby-rrd | librrd-ruby
+Breaks: puppet (<< 2.7.5-3), puppetmaster (<< 0.25.4-1), ruby-hiera-puppet
+Replaces: puppet (<< 2.7.5-3), puppetmaster (<< 0.25.4-1), ruby-hiera-puppet
 Description: Centralized configuration management
  Puppet lets you centrally manage every important aspect of your system
  using a cross-platform specification language that manages all the
@@ -36,9 +53,11 @@
 
 Package: puppet
 Architecture: all
-Depends: ${misc:Depends},  puppet-common (= ${binary:Version}), ruby | ruby-interpreter
-Recommends: rdoc
-Suggests: puppet-el, vim-puppet
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+ puppet-common (= ${binary:Version}),
+ ruby | ruby-interpreter,
+Suggests: puppet-el, vim-puppet, etckeeper
 Description: Centralized configuration management - agent startup and compatibility scripts
  This package contains the startup script and compatbility scripts for the
  puppet agent, which is the process responsible for configuring the local node.
@@ -56,13 +75,21 @@
 
 Package: puppetmaster-common
 Architecture: all
-Depends: ${misc:Depends}, ruby | ruby-interpreter, puppet-common (= ${binary:Version}), facter (>= 1.7.0), lsb-base
-Breaks: puppet (<< 0.24.7-1), puppetmaster (<< 2.6.1~rc2-1)
-Replaces: puppetmaster (<< 2.6.1~rc2-1)
-Suggests: apache2 | nginx, puppet-el, vim-puppet, stompserver, ruby-stomp | libstomp-ruby1.8,
- rdoc, ruby-ldap | libldap-ruby1.8, puppetdb-terminus
+Depends: ${misc:Depends},
+ lsb-base,
+ puppet-common (= ${binary:Version}),
+ ruby | ruby-interpreter,
+Breaks: puppet (<< 0.24.7-1), puppetmaster (<< 2.7.6-1~)
+Replaces: puppet (<< 0.24.7-1), puppetmaster (<< 2.7.6-1~)
+Suggests:
+ apache2 | nginx,
+ puppet-el,
+ ruby-ldap,
+ ruby-stomp,
+ stompserver,
+ vim-puppet,
 Description: Puppet master common scripts
- This package contains common scripts for the puppet master,
+ This package contains common scripts for the puppet master, 
  which is the server hosting manifests and files for the puppet nodes.
  .
  Puppet lets you centrally manage every important aspect of your system
@@ -78,10 +105,11 @@
 
 Package: puppetmaster
 Architecture: all
-Depends: ${misc:Depends}, ruby | ruby-interpreter, puppetmaster-common (= ${source:Version}), facter (>= 1.7.0), lsb-base
+Depends: ${misc:Depends},
+ puppetmaster-common (= ${source:Version}),
+ ruby | ruby-interpreter,
 Breaks: puppet (<< 0.24.7-1)
-Suggests: apache2 | nginx, puppet-el, vim-puppet, stompserver, ruby-stomp | libstomp-ruby1.8,
- rdoc, ruby-ldap | libldap-ruby1.8, puppetdb-terminus
+Replaces: puppet (<< 0.24.7-1)
 Description: Centralized configuration management - master startup and compatibility scripts
  This package contains the startup and compatibility scripts for the puppet
  master, which is the server hosting manifests and files for the puppet nodes.
@@ -99,8 +127,13 @@
 
 Package: puppetmaster-passenger
 Architecture: all
-Depends: ${misc:Depends}, ruby | ruby-interpreter, puppetmaster-common (= ${source:Version}), facter (>= 1.7.0), lsb-base, libapache2-mod-passenger
-Conflicts: puppetmaster (<< 2.6.1~rc2-1)
+Depends: ${misc:Depends},
+ apache2,
+ libapache2-mod-passenger,
+ lsb-base,
+ puppetmaster-common (= ${source:Version}),
+ ruby | ruby-interpreter,
+Breaks: puppetmaster (<< 2.6.1~rc2-1)
 Replaces: puppetmaster (<< 2.6.1~rc2-1)
 Description: Centralised configuration management - master setup to run under mod passenger
  This package provides a puppetmaster running under mod passenger.
@@ -116,28 +149,53 @@
  classing abilities for drawing out the similarities between hosts while
  allowing them to be as specific as necessary, and it handles dependency
  and prerequisite relationships between objects clearly and explicitly.
- .
 
 Package: vim-puppet
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: vim-addon-manager
-Conflicts: puppet (<< ${source:Version})
+Breaks: puppet (<< 0.25.4-1)
+Replaces: puppet (<< 0.25.4-1)
 Description: syntax highlighting for puppet manifests in vim
  The vim-puppet package provides filetype detection and syntax highlighting for
  puppet manifests (files ending with ".pp").
+ .
+ As per the Debian vim policy, installed addons are not activated
+ automatically, but the "vim-addon-manager" tool can be used for this
+ purpose.
 
 Package: puppet-el
 Architecture: all
 Depends: ${misc:Depends}, emacsen-common
-Conflicts: puppet (<< ${source:Version})
+Breaks: puppet (<< 0.25.4-1)
+Replaces: puppet (<< 0.25.4-1)
+Conflicts: emacsen-common (<< 2.0.0)
 Description: syntax highlighting for puppet manifests in emacs
- The puppet-el package provides syntax highlighting for puppet manifests
+ The puppet-el package provides syntax highlighting for puppet
+ manifests (files ending with (".pp").
+ .
+ As per the Debian emacs policy, installed addons are activated
+ automatically.
 
 Package: puppet-testsuite
 Architecture: all
-Depends: ${misc:Depends}, ruby | ruby-interpreter, puppet-common (= ${source:Version}), facter (>= 1.7.0), lsb-base, rails (>= 1.2.3-2), rdoc, ruby-ldap | libldap-ruby1.8, ruby-rspec | librspec-ruby, git-core, ruby-mocha | libmocha-ruby1.8
-Recommends: cron
+Depends: ${misc:Depends},
+ git-core,
+ lsb-base,
+ puppet-common (= ${source:Version}),
+ ruby | ruby-interpreter,
+ ruby-ldap,
+ ruby-mocha,
+ ruby-rack,
+ ruby-rspec,
+ ruby-sqlite3,
+Recommends:
+ cron,
+ ruby-rgen,
+Suggests: ruby
 Description: Centralized configuration management - test suite
  This package provides all the tests from the upstream puppet source code.
  The tests are used for improving the QA of the puppet package.
+ .
+ Tests are installed under /usr/share/puppet-testsuite, and can be
+ performed using "rake unit" in that directory.
