=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	  debian/puppetmaster-passenger/usr/share/puppetmaster-passenger/apache2.site.conf.tmpl
 	chmod 755 debian/puppet-common/etc/puppet/etckeeper-commit-post
 	chmod 755 debian/puppet-common/etc/puppet/etckeeper-commit-pre
+	echo 0 > debian/puppet-el/usr/lib/emacsen-common/packages/compat/puppet-el
 
 override_dh_installlogcheck:
 	ln ext/logcheck/puppet debian/puppet-common.logcheck.ignore.server
