## puppet 3.6.2

=== debian/changelog ===
puppet (3.6.2-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.6.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 09 Jun 2014 14:08:17 -0700
